Bug 1764681 (CVE-2019-2946)

Summary: CVE-2019-2946 mysql: Server: PS unspecified vulnerability (CPU Oct 2019)
Product: [Other] Security Response Reporter: Tomas Hoger <thoger>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: databases-maint, dbecker, dciabrin, hhorak, jjanco, jjoyce, jorton, jschluet, jstanek, lhh, ljavorsk, lpeer, mbayer, mburns, mkocka, mmuzila, mschorm, praiskup, sclewis, slinaber, SpikeFedora
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: mysql 5.7.28, mysql 8.0.18 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-08-19 15:15:33 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1768175, 1768176, 1768177, 1768195, 1768196, 1768197, 1874036, 1874037, 1874038    
Bug Blocks: 1764702    

Description Tomas Hoger 2019-10-23 15:05:37 UTC
Vulnerability in the MySQL Server product of Oracle MySQL (component: Server: PS). Supported versions that are affected are 5.7.27 and prior and 8.0.17 and prior. Easily exploitable vulnerability allows low privileged attacker with network access via multiple protocols to compromise MySQL Server. Successful attacks of this vulnerability can result in unauthorized ability to cause a hang or frequently repeatable crash (complete DOS) of MySQL Server.

External References:

http://www.oracle.com/technetwork/security-advisory/cpuoct2019-5072832.html

Comment 1 Tomas Hoger 2019-11-03 09:19:58 UTC
Created community-mysql tracking bugs for this issue:

Affects: fedora-all [bug 1768175]


Created mysql:8.0/community-mysql tracking bugs for this issue:

Affects: fedora-all [bug 1768176]

Comment 2 Tomas Hoger 2019-11-03 09:26:39 UTC
Created mysql:5.7/community-mysql tracking bugs for this issue:

Affects: fedora-all [bug 1768177]

Comment 5 errata-xmlrpc 2020-08-19 14:07:43 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.6 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.7 EUS

Via RHSA-2020:3518 https://access.redhat.com/errata/RHSA-2020:3518

Comment 6 Product Security DevOps Team 2020-08-19 15:15:33 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-2946

Comment 11 errata-xmlrpc 2020-09-14 12:54:16 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:3732 https://access.redhat.com/errata/RHSA-2020:3732

Comment 13 errata-xmlrpc 2020-09-15 16:16:48 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.0 Update Services for SAP Solutions

Via RHSA-2020:3755 https://access.redhat.com/errata/RHSA-2020:3755

Comment 15 errata-xmlrpc 2020-09-15 18:27:24 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.1 Extended Update Support

Via RHSA-2020:3757 https://access.redhat.com/errata/RHSA-2020:3757